%define major 0
%define libname %mklibname %{name} %major
%define develname %mklibname %{name} -d
%define oldlibname %{mklibname xcb-image 0}

Summary:	xcb-util's xcb-image
Name:		xcb-util-image
Version:	0.3.9
Release:	%mkrel 5
Url:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
License:	MIT
Group:		System/X11
BuildRequires:	xcb-util-devel >= 0.3.8
BuildRequires:	x11-util-macros

%description
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

%package -n %{libname}
Summary: xcb-util-image library package
Group: System/X11
%rename %{oldlibname}

%description -n %{libname}
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

This is the xcb-util-image library package.

%package -n %{develname}
Summary: xcb-util-image development files
Group: Development/C
Provides:  libxcb-util-image-devel = %{version}-%{release}
Provides:  xcb-util-image-devel = %{version}-%{release}
Requires:  %{libname} = %{version}-%{release}
Conflicts: %{mklibname xcb-util -d} < 0.3.9
Conflicts: %{mklibname xcb-util -d -s} < 0.3.8

%description -n %{develname}
This pakcage includes the development files required to build software against
%{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/libxcb-image.so.%{major}*

%files -n %{develname}
%doc ChangeLog NEWS README
%{_includedir}/xcb/xcb_image.h
%{_includedir}/xcb/xcb_pixel.h
%{_includedir}/xcb/xcb_bitops.h
%{_libdir}/libxcb-image.so
%{_libdir}/pkgconfig/xcb-image.pc


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.3.9-5.mga4
+ Revision: 521887
- Mageia 4 Mass Rebuild

* Wed Jan 30 2013 luigiwalser <luigiwalser> 0.3.9-4.mga3
+ Revision: 393316
- fix upgrading libxcb-image0 to libxcb-util-image0

* Mon Jan 14 2013 umeabot <umeabot> 0.3.9-3.mga3
+ Revision: 386687
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 03 2012 fwang <fwang> 0.3.9-2.mga3
+ Revision: 253697
- rebuild for new xcb-util

* Sun Jun 03 2012 fwang <fwang> 0.3.9-1.mga3
+ Revision: 253685
- update file list
- new version 0.3.9

* Wed Jul 06 2011 ahmad <ahmad> 0.3.8-1.mga2
+ Revision: 119280
- Versionate the xcb-util-devel requires
- Improve the description of the devel package
- imported package xcb-util-image

